/*==========================================================
 * Program : gsmdev.h                      Project : smslink
 * Author  : Philippe Andersson.
 * Date    : 08/06/00
 * Version : 0.02b
 * Notice  : (c) Les Ateliers du Heron, 1998 for Scitex Europe, S.A.
 * Comment : GSM device "driver" include file for SMSLink server.
 *
 * Modification History :
 * - 0.01a (17/05/00) : Initial release.
 * ++++ Switched to Beta ++++
 * - 0.02b (08/06/00) : Added HAS_CS_AT_PARSER define for some
 *   Wavecom modules (the WM02 for sure).
 *========================================================*/

#ifndef _GSMDEV_H
#define _GSMDEV_H

/* "Driver" file */
#define GSMCAPS_FILE		"/etc/gsmcaps"

#define MAXMODLEN		15      /* max length for model */

/* Capacity Flags */
#define HAS_TEXT_MODE		 1	/* Text mode supported */
#define HAS_PDU_MODE		 2	/* PDU mode supported */
#define STRICT_TEXT_PARAMS	 4	/* Params MUST be txt in txt mode */
#define HAS_SCA_IN_PDU	 	 8	/* SCA can be given in PDU */
                                        /* Note: NOT in GSM 03.40 */
#define HAS_CS_AT_PARSER	16	/* Case-sensitive AT parser */

/*==========================================================
 * Structure Declarations
 *========================================================*/

/*==========================================================
 * Function Declarations
 *========================================================*/
/* --- in ".c" --- */

#endif                               /* #ifndef _GSMDEV_H */

/*==========================================================
 * EOF : gsmdev.h
 *===================*/
